IMG_7714.JPG=Our House Captian is Joy in Giving Blood to Save Life~
IMG_7612.JPG=Enjoying Every Moment~
IMG_7729.JPG=Teachers are Always Our Role Models!!
IMG_7788.JPG=Can't Wait to Share the Joy with Others!!
IMG_7759.JPG=SALEM Staff Support the Event.
IMG_7781.JPG=No Fear for the First Time!
IMG_7731.JPG=Parents Support Blood Donation Too!
